@import '../../../../assets/styles/common.scss';

.grid-container {
    height: 100%;

    .-pagination {
        font-size: 16px;
        font-weight: bold;

        .-previous,
        .-next {
            button {
                color: dimgrey;
                font-weight: bold;
                background-color: rgba($bgColor, 0.25);
            }
        }
    }

    &.ReactTable .rt-tr {
        position: relative;
    }
    &.ReactTable .rt-expandable {
        top: 0;
        left: 0;
        height: 100%;
        position: absolute;
        width: 100% !important;
        max-width: 100% !important;

        .custom-ui-grid-expander {
            max-width: 32px;
        }
    }

    &.ReactTable .rt-tr .rt-expandable + .rt-td {
        margin-left: 40px;
        border-left: 1px solid rgba(0,0,0,.02);
    }

    &.ReactTable .rt-thead .rt-tr {
        margin-right: 15px;
    }

    &.ReactTable .rt-thead .rt-th.-sort-asc {
        box-shadow: inset 0 3px 0 0 darken($bgColor, 16);
    }

    &.ReactTable .rt-thead .rt-th.-sort-desc {
        box-shadow: inset 0 -3px 0 0 darken($bgColor, 16);
    }

    &.ReactTable .-pagination .-btn:not([disabled]):hover {
        background-color: $bgColor;
    }

    &.ReactTable.-striped.-highlight .-headerGroups {
        display: none;
    }

    &-column {
        &-title {
            font-size: 16px;
            font-weight: bold;
            padding: 14px 0px;
            display: inline-block;
        }
    }

    &-nodata-message {
        font-size: 18px;
        font-weight: bold;
        padding: 8px 20px;
        display: inline-block;
    }

    &-row {
        &-item {
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: row;
            align-items: center;

            &-title {
                font-size: 16px;
                padding: 8px 6px;
            }

            &-centered {
                justify-content: center;
            }

            &-bold {
                font-size: 14px;
                font-weight: bold;
            }

            &-button-navigation {
                padding: 0px 6px;
                
                .mdl-button {
                    width: 40px;
                    height: 40px;
                    padding: 4px;
                    margin-top: 0px;
                    transition: color 0.5s;
                    color: darken($bgColor, 5);

                    &:hover {
                        color: darken($bgColor, 25);
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 768px) {
    .grid-container {
        height: auto;
    }
}
